"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArtifactoryUrlVo = void 0;
class ArtifactoryUrlVo {
    constructor(artifactoryUrls) {
        this.get = artifactoryUrls.get;
        this.put = artifactoryUrls.put;
        this.head = artifactoryUrls.head;
        this.delete = artifactoryUrls.delete;
        this.token = this.extractBearerToken(artifactoryUrls.getOpts);
    }
    get getUrl() {
        return this.get;
    }
    get putUrl() {
        return this.put;
    }
    get headUrl() {
        return this.head;
    }
    get deleteUrl() {
        return this.delete;
    }
    get getToken() {
        return this.token;
    }
    extractBearerToken(header) {
        const options = header.replace(/'/g, '');
        const optionsSegmented = options.split('Bearer');
        return optionsSegmented[1] || '';
    }
}
exports.ArtifactoryUrlVo = ArtifactoryUrlVo;
//# sourceMappingURL=ArtifactoryUrlVo.js.map