import { StepConsoleAttributes, StepletConsoleAttributes } from '@jfrog-pipelines/types';
import { FileStore } from './FileStore';
export declare class FileStoreRepository implements FileStore {
    private readonly stepId;
    private readonly fileAdapter;
    private readonly rtAdapter;
    private readonly logger;
    private strategy;
    constructor(stepId: number);
    setStrategy(strategy: FileStore): void;
    cleanTempFolder(): Promise<void>;
    createLogFile(stepletId: number): Promise<string | null>;
    appendStepConsoles(filePath: string, stepConsoleLogs: StepConsoleAttributes[]): Promise<void>;
    appendSetupConsoles(filePath: string, stepletSetupAndCleanUpLogs: Map<string, StepletConsoleAttributes[]>): Promise<void>;
    appendCleanupConsoles(filePath: string, stepletSetupAndCleanUpLogs: Map<string, StepletConsoleAttributes[]>): Promise<void>;
    deleteFile(filePath: string): Promise<void>;
    appendExecutionLogs(filePath: string, getUrl: string, token: string, stepletId: number): Promise<void>;
    uploadToArtifactory(filePath: string, putUrl: string, token: string): Promise<void>;
}
