"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("@jfrog-pipelines/logger");
const NoopFileStrategy_1 = require("../NoopFileStrategy");
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                debug: jest.fn()
            })
        }
    };
});
const logger = logger_1.LoggerFactory.getLogger();
describe('NoopFileStrategy Tests', () => {
    it('should give debug level logs if execution logs are not available', () => {
        const noopFileStrategy = new NoopFileStrategy_1.NoopFileStrategy();
        noopFileStrategy.appendExecutionLogs();
        expect(logger.debug).toHaveBeenCalledWith('Execution logs are not applicable for this step.');
    });
});
//# sourceMappingURL=NoopFileStrategy.test.js.map