"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InsertRepository = void 0;
const node_util_1 = require("node:util");
const logger_1 = require("@jfrog-pipelines/logger");
const StepConsoleDao_1 = require("../../driven/StepConsoleDao");
const StepletConsoleDao_1 = require("../../driven/StepletConsoleDao");
const STEP = 'step';
class InsertRepository {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger(`InsertRepository`);
        this.stepConsoleDao = new StepConsoleDao_1.StepConsoleDao();
        this.stepletConsoleDao = new StepletConsoleDao_1.StepletConsoleDao();
    }
    async save(objectType, consoleObjects) {
        try {
            if (consoleObjects.length === 0) {
                return;
            }
            await this.bulkCreate(objectType, consoleObjects);
        }
        catch (error) {
            this.logger.warn(`Cannot create InsertRepository logs for ${objectType} of type: ${(0, node_util_1.inspect)(consoleObjects[0])}with ${(0, node_util_1.inspect)(error)}`);
        }
    }
    async bulkCreate(objectType, bulkInsertionList) {
        if (objectType === STEP) {
            await this.stepConsoleDao.createBulk(bulkInsertionList);
            return;
        }
        await this.stepletConsoleDao.createBulk(bulkInsertionList);
    }
}
exports.InsertRepository = InsertRepository;
//# sourceMappingURL=InsertRepository.js.map