declare type ConsoleStages = 'setup' | 'execution' | 'cleanup';
declare enum Identifiers {
    step = "stepId",
    steplet = "stepletId"
}
export declare class WebConsole {
    private readonly id;
    private readonly pipelineId;
    private readonly consoleId;
    private readonly parentConsoleId;
    private readonly logType;
    private readonly message;
    private readonly isSuccess;
    private readonly isShown;
    private readonly timeStamp;
    private readonly timeStampEndedAt?;
    private readonly stage;
    constructor({ id, pipelineId, consoleId, parentConsoleId, logType, message, isSuccess, isShown, timeStamp, timeStampEndedAt, stage }: {
        id: number;
        pipelineId: number;
        consoleId: string;
        parentConsoleId: string;
        logType: keyof typeof Identifiers;
        message: string;
        isSuccess: boolean;
        isShown: boolean;
        timeStamp: number;
        timeStampEndedAt?: number | null;
        stage: ConsoleStages;
    });
    getId(): number;
    getPipelineId(): number;
    getConsoleId(): string;
    getParentConsoleId(): string;
    getType(): keyof typeof Identifiers;
    getMessage(): string;
    getSuccessState(): boolean;
    getShownState(): boolean;
    getTimeStamp(): number;
    getIdentifier(): `${Identifiers}`;
    getTimeStampEndedAt(): number | undefined | null;
    getStage(): ConsoleStages;
}
export {};
