"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebConsole = void 0;
const THOUSAND = 1000;
var Identifiers;
(function (Identifiers) {
    Identifiers["step"] = "stepId";
    Identifiers["steplet"] = "stepletId";
})(Identifiers || (Identifiers = {}));
class WebConsole {
    constructor({ id, pipelineId, consoleId, parentConsoleId, logType, message, isSuccess, isShown, timeStamp, timeStampEndedAt, stage }) {
        this.id = id;
        this.pipelineId = pipelineId;
        this.consoleId = consoleId;
        this.parentConsoleId = parentConsoleId;
        this.logType = logType;
        this.message = message;
        this.isSuccess = isSuccess;
        this.isShown = isShown;
        this.timeStamp = timeStamp;
        this.timeStampEndedAt = timeStampEndedAt ?? null;
        this.stage = stage;
    }
    getId() {
        return this.id;
    }
    getPipelineId() {
        return this.pipelineId;
    }
    getConsoleId() {
        return this.consoleId;
    }
    getParentConsoleId() {
        return this.parentConsoleId;
    }
    getType() {
        return this.logType;
    }
    getMessage() {
        return this.message;
    }
    getSuccessState() {
        return this.isSuccess;
    }
    getShownState() {
        return this.isShown;
    }
    getTimeStamp() {
        return this.timeStamp;
    }
    getIdentifier() {
        if (this.getType() === 'step') {
            return Identifiers.step;
        }
        return Identifiers.steplet;
    }
    getTimeStampEndedAt() {
        if (this.getType() === 'steplet' && !this.timeStampEndedAt) {
            return Date.now() * THOUSAND;
        }
        return this.timeStampEndedAt;
    }
    getStage() {
        return this.stage;
    }
}
exports.WebConsole = WebConsole;
//# sourceMappingURL=WebConsole.js.map