"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const WebConsole_1 = require("../WebConsole");
describe('WebConsole Tests', () => {
    const input = {
        id: 1,
        pipelineId: 1,
        consoleId: 'test',
        parentConsoleId: 'test',
        logType: 'step',
        message: 'testMessage',
        isSuccess: true,
        isShown: true,
        timeStamp: 1,
        timeStampEndedAt: 1,
        stage: 'setup'
    };
    const webConsole = new WebConsole_1.WebConsole(input);
    it('should getId', () => {
        const result = webConsole.getId();
        expect(result).toStrictEqual(input.id);
    });
    it('should getPipelineId', () => {
        const result = webConsole.getPipelineId();
        expect(result).toStrictEqual(input.pipelineId);
    });
    it('should getConsoleId', () => {
        const result = webConsole.getConsoleId();
        expect(result).toStrictEqual(input.consoleId);
    });
    it('should getParentConsoleId', () => {
        const result = webConsole.getParentConsoleId();
        expect(result).toStrictEqual(input.parentConsoleId);
    });
    it('should getType', () => {
        const result = webConsole.getType();
        expect(result).toStrictEqual(input.logType);
    });
    it('should getMessage', () => {
        const result = webConsole.getMessage();
        expect(result).toStrictEqual(input.message);
    });
    it('should getSuccessState', () => {
        const result = webConsole.getSuccessState();
        expect(result).toStrictEqual(input.isSuccess);
    });
    it('should getShownState', () => {
        const result = webConsole.getShownState();
        expect(result).toStrictEqual(input.isShown);
    });
    it('should getTimeStamp', () => {
        const result = webConsole.getTimeStamp();
        expect(result).toStrictEqual(input.timeStamp);
    });
    it('should getIdentifier for step', () => {
        const result = webConsole.getIdentifier();
        expect(result).toStrictEqual('stepId');
    });
    it('should getIdentifier for steplet', () => {
        const input = {
            id: 1,
            pipelineId: 1,
            consoleId: 'test',
            parentConsoleId: 'test',
            logType: 'steplet',
            message: 'testMessage',
            isSuccess: true,
            isShown: true,
            timeStamp: 1,
            timeStampEndedAt: 1,
            stage: 'setup'
        };
        const webConsole = new WebConsole_1.WebConsole(input);
        const result = webConsole.getIdentifier();
        expect(result).toStrictEqual('stepletId');
    });
    it('should getTimeStampEndedAt if getType return step', () => {
        const result = webConsole.getTimeStampEndedAt();
        expect(result).toStrictEqual(input.timeStampEndedAt);
    });
    it('should getTimeStampEndedAt if getType return steplet and timeStampEndedAt is undefined', () => {
        const input = {
            id: 1,
            pipelineId: 1,
            consoleId: 'test',
            parentConsoleId: 'test',
            logType: 'steplet',
            message: 'testMessage',
            isSuccess: true,
            isShown: true,
            timeStamp: 1,
            timeStampEndedAt: undefined,
            stage: 'setup'
        };
        const webConsole = new WebConsole_1.WebConsole(input);
        jest.spyOn(Date, 'now').mockReturnValueOnce(1);
        const result = webConsole.getTimeStampEndedAt();
        const expectedResult = 1000;
        expect(result).toStrictEqual(expectedResult);
    });
    it('should getStage', () => {
        const result = webConsole.getStage();
        expect(result).toStrictEqual(input.stage);
    });
});
//# sourceMappingURL=WebConsole.test.js.map