"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArtifactoryAdapter = void 0;
const decorators_1 = require("@jfrog-pipelines/decorators");
const logger_1 = require("@jfrog-pipelines/logger");
const axios_1 = __importDefault(require("axios"));
class ArtifactoryAdapter {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('ArtifactoryWebConsoleAdapter');
    }
    async readLogFile(getUrl, token) {
        const response = await (0, axios_1.default)({
            url: getUrl,
            responseType: 'stream',
            headers: {
                Authorization: `Bearer ${token}`
            },
            method: 'get'
        });
        return response.data;
    }
    async checkLogFile(getUrl, token) {
        const response = await (0, axios_1.default)({
            url: getUrl,
            responseType: 'json',
            headers: {
                Authorization: `Bearer ${token}`
            },
            method: 'head'
        });
        return response;
    }
    async upload(inputStream, putUrl, token) {
        await (0, axios_1.default)({
            method: 'put',
            url: putUrl,
            headers: {
                Authorization: `Bearer ${token}`
            },
            data: inputStream
        });
        this.logger.debug('Uploaded to Artifactory completed');
    }
}
__decorate([
    (0, decorators_1.Retry)({ type: decorators_1.BackOffPolicy.ExponentialBackOffPolicy, maxRetryInterval: 4 }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], ArtifactoryAdapter.prototype, "readLogFile", null);
__decorate([
    (0, decorators_1.Retry)({ type: decorators_1.BackOffPolicy.ExponentialBackOffPolicy, maxRetryInterval: 4 }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], ArtifactoryAdapter.prototype, "checkLogFile", null);
__decorate([
    (0, decorators_1.Retry)({ type: decorators_1.BackOffPolicy.ExponentialBackOffPolicy, maxRetryInterval: 4 }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String, String]),
    __metadata("design:returntype", Promise)
], ArtifactoryAdapter.prototype, "upload", null);
exports.ArtifactoryAdapter = ArtifactoryAdapter;
//# sourceMappingURL=ArtifactoryAdapter.js.map