"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepServiceDataAdapter = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
class StepServiceDataAdapter {
    constructor() {
        this.pipelinesClient = new internal_clients_1.PipelinesClient(14);
    }
    async getArtifactoryUrlByStepId(stepId, artifactName) {
        const artifactUrls = (await this.pipelinesClient.getArtifactUrlByStepId(stepId, artifactName));
        return artifactUrls;
    }
    async getStepletsByStepId(stepId) {
        const query = `stepIds=${stepId}`;
        return this.pipelinesClient.getSteplets(query);
    }
    async updateConsoleArchived(stepletId) {
        const update = {
            isConsoleArchived: true
        };
        return this.pipelinesClient.putStepletById(stepletId, update);
    }
    async getStepById(stepId) {
        return this.pipelinesClient.getStepById(stepId);
    }
}
exports.StepServiceDataAdapter = StepServiceDataAdapter;
//# sourceMappingURL=StepServiceDataAdapter.js.map