"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebConsoleArchivalCommand = void 0;
const node_assert_1 = require("node:assert");
const node_util_1 = require("node:util");
class WebConsoleArchivalCommand {
    constructor(payload) {
        this.payload = payload;
    }
    validate() {
        if (!this.payload.objectId || !(typeof this.payload.objectId === 'number')) {
            throw new node_assert_1.AssertionError({
                message: `Invalid objectId received. Expected a number, received ${this.payload.objectId}`
            });
        }
        if (!this.payload.objectType || !(this.payload.objectType === 'step')) {
            throw new node_assert_1.AssertionError({
                message: `Invalid objectType received. Expected either 'step' or 'steplet', received ${(0, node_util_1.inspect)(this.payload.objectType)}`
            });
        }
    }
    getStepId() {
        return this.payload.objectId;
    }
    getObjectType() {
        return this.payload.objectType;
    }
}
exports.WebConsoleArchivalCommand = WebConsoleArchivalCommand;
//# sourceMappingURL=WebConsoleArchivalCommand.js.map